%define module	chardet

Name:		python-%{module}
Version:	2.3.0
Release:	%mkrel 3
Summary:	Character encoding auto-detection in Python
License:	LGPLv2+
Group:		Development/Python
URL:		https://github.com/chardet/chardet
Source0:	https://pypi.python.org/packages/source/c/chardet/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Character encoding auto-detection in Python. As smart as your browser.

%package -n	python3-%{module}
Summary:	Character encoding auto-detection in Python
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
Character encoding auto-detection in Python. As smart as your browser.

%prep
%setup -q -n %{module}-%{version}

sed -ie '1d' %{module}/chardetect.py

#for python3 build
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/chardetect %{buildroot}%{_bindir}/python3-chardetect
popd

%py2_install

%files
%doc LICENSE README.rst
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{module}/
%{_bindir}/chardetect

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{module}/
%{_bindir}/python3-chardetect


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2.3.0-3.mga6
+ Revision: 970446
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 886781
- switch to new python macros

  + tv <tv>
    - rebuild for python 3.5

* Sun Jun 21 2015 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 837992
- new version: 2.3.0
- update doc lis

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-4.mga5
+ Revision: 740055
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.1-3.mga5
+ Revision: 728218
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 687926
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 2.2.1-1.mga5
+ Revision: 666540
- remove previous patch
- update Url
- update file list
- new version: 2.2.1

* Sat May 31 2014 pterjan <pterjan> 2.1.1-7.mga5
+ Revision: 629734
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 2.1.1-6.mga5
+ Revision: 628500
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-5.mga4
+ Revision: 545760
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 philippem <philippem> 2.1.1-4.mga4
+ Revision: 501743
- Fix Python 3 build

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 2.1.1-2.mga4
+ Revision: 450721
- fix python3 pkg shebangs

* Sat Jul 06 2013 wally <wally> 2.1.1-1.mga4
+ Revision: 450714
- new version 2.1.1
- enable python3 build
- fix url and source tags
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 378542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 2.0.1-3.mga1
+ Revision: 47058
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-chardet


* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-2mdv2011.0
+ Revision: 497655
- fix license

* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 497650
- bump release

* Fri May 08 2009 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 373562
- new version
- fix buildroot and URL
- use py_requires
- drop --optimize=2
- initial Mandriva release

